## GstWebRTCDTLSTransport GstWebRTCDTLSTransport — RTCDtlsTransport object |

## Functions

GstWebRTCDTLSTransport * | gst_webrtc_dtls_transport_new ()

## Properties

gchar * | certificate | Read / Write
gboolean | client | Read / Write
gchar * | remote-certificate | Read
gboolean | rtcp | Read / Write / Construct Only
guint | session-id | Read / Write / Construct Only
GstWebRTCDTLSTransportState | state | Read
GstWebRTCICETransport * | transport | Read

## Types and Values

enum | GstWebRTCDTLSTransportState

## Object Hierarchy

        GEnum
        ╰── GstWebRTCDTLSTransportState
        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstWebRTCDTLSTransport

## Includes

    #include <gst/codecparsers/gstmpeg4parser.h>

## Description

https://www.w3.org/TR/webrtc/#rtcdtlstransport

## Functions

### gst_webrtc_dtls_transport_new ()

    GstWebRTCDTLSTransport *
    gst_webrtc_dtls_transport_new (guint session_id,
                                   gboolean rtcp);

## Types and Values

### enum GstWebRTCDTLSTransportState

#### Members

GST_WEBRTC_DTLS_TRANSPORT_STATE_NEW |  |
GST_WEBRTC_DTLS_TRANSPORT_STATE_CLOSED |  |
GST_WEBRTC_DTLS_TRANSPORT_STATE_FAILED |  |
GST_WEBRTC_DTLS_TRANSPORT_STATE_CONNECTING |  |
GST_WEBRTC_DTLS_TRANSPORT_STATE_CONNECTED |  |

## Property Details

### The `“certificate”` property

      “certificate”              gchar *

DTLS certificate.

Flags: Read / Write

Default value: NULL

### The `“client”` property

      “client”                   gboolean

Are we the client in the DTLS handshake?.

Flags: Read / Write

Default value: FALSE

### The `“remote-certificate”` property

      “remote-certificate”       gchar *

Remote DTLS certificate.

Flags: Read

Default value: NULL

### The `“rtcp”` property

      “rtcp”                     gboolean

The transport is being used solely for RTCP.

Flags: Read / Write / Construct Only

Default value: FALSE

### The `“session-id”` property

      “session-id”               guint

Unique session ID.

Flags: Read / Write / Construct Only

Default value: 0

### The `“state”` property

      “state”                    GstWebRTCDTLSTransportState

State of the DTLS transport.

Flags: Read

Default value: GST_WEBRTC_DTLS_TRANSPORT_STATE_NEW

### The `“transport”` property

      “transport”                GstWebRTCICETransport *

ICE transport used by this dtls transport.

Flags: Read

## See Also

GstWebRTCRTPSender, GstWebRTCRTPReceiver, GstWebRTCICETransport